Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(177)

Issue 12260054: [Autofill] Enable heuristic detection of credit card issuer fields. (Closed)

Created:
7 years, 8 months ago by Ilya Sherman
Modified:
7 years, 8 months ago
Reviewers:
Albert Bodenhamer
CC:
chromium-reviews, Raman Kakilate, benquan, dhollowa+watch_chromium.org, ahutter, browser-components-watch_chromium.org, dbeam+watch-autofill_chromium.org, Dane Wallinga, dyu1, estade+watch_chromium.org, Albert Bodenhamer, Ilya Sherman
Visibility:
Public.

Description

[Autofill] Enable heuristic detection of credit card issuer fields. Removes the flag that had been gating this feature. BUG=176451 TEST=Credit card issuer data is autofillable (see bug for more deets) Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=183752

Patch Set 1 #

Patch Set 2 : Fix tests #

Patch Set 3 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+27 lines, -134 lines) Patch
M chrome/app/generated_resources.grd View 1 chunk +0 lines, -6 lines 0 comments Download
M chrome/browser/about_flags.cc View 1 2 1 chunk +0 lines, -7 lines 0 comments Download
M chrome/browser/autofill/address_field.h View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/autofill/address_field.cc View 1 chunk +1 line, -2 lines 0 comments Download
M chrome/browser/autofill/address_field_unittest.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/autofill/credit_card_field.h View 1 chunk +1 line, -2 lines 0 comments Download
M chrome/browser/autofill/credit_card_field.cc View 2 chunks +7 lines, -10 lines 0 comments Download
M chrome/browser/autofill/credit_card_field_unittest.cc View 1 2 chunks +1 line, -59 lines 0 comments Download
M chrome/browser/autofill/email_field.h View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/autofill/email_field.cc View 1 chunk +1 line, -2 lines 0 comments Download
M chrome/browser/autofill/form_field.h View 2 chunks +1 line, -3 lines 0 comments Download
M chrome/browser/autofill/form_field.cc View 5 chunks +6 lines, -18 lines 0 comments Download
M chrome/browser/autofill/form_structure_browsertest.cc View 4 chunks +0 lines, -10 lines 0 comments Download
M chrome/browser/autofill/name_field.h View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/autofill/name_field.cc View 1 chunk +1 line, -2 lines 0 comments Download
M chrome/browser/autofill/name_field_unittest.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/autofill/phone_field.h View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/autofill/phone_field.cc View 1 chunk +1 line, -2 lines 0 comments Download
M chrome/browser/autofill/phone_field_unittest.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M chrome/common/chrome_switches.h View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M chrome/common/chrome_switches.cc View 1 2 1 chunk +0 lines, -3 lines 0 comments Download

Messages

Total messages: 12 (0 generated)
Ilya Sherman
7 years, 8 months ago (2013-02-15 07:08:25 UTC) #1
Ilya Sherman
Albert, ping
7 years, 8 months ago (2013-02-20 04:27:17 UTC) #2
Albert Bodenhamer
Yikes! I missed this somehow. Sorry. Reviewing now.
7 years, 8 months ago (2013-02-20 21:17:40 UTC) #3
Albert Bodenhamer
lgtm
7 years, 8 months ago (2013-02-20 21:19:05 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/isherman@chromium.org/12260054/19
7 years, 8 months ago (2013-02-20 21:20:04 UTC) #5
commit-bot: I haz the power
Failed to apply patch for chrome/common/chrome_switches.h: While running patch -p1 --forward --force --no-backup-if-mismatch; patching file ...
7 years, 8 months ago (2013-02-20 21:20:10 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/isherman@chromium.org/12260054/11001
7 years, 8 months ago (2013-02-20 23:38:38 UTC) #7
commit-bot: I haz the power
Sorry for I got bad news for ya. Compile failed with a clobber build on ...
7 years, 8 months ago (2013-02-20 23:53:12 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/isherman@chromium.org/12260054/11001
7 years, 8 months ago (2013-02-20 23:55:18 UTC) #9
commit-bot: I haz the power
Retried try job too often on win7_aura for step(s) interactive_ui_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=win7_aura&number=12658
7 years, 8 months ago (2013-02-21 03:45:19 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/isherman@chromium.org/12260054/11001
7 years, 8 months ago (2013-02-21 04:50:25 UTC) #11
commit-bot: I haz the power
7 years, 8 months ago (2013-02-21 05:51:25 UTC) #12
Message was sent while issue was closed.
Change committed as 183752

Powered by Google App Engine
This is Rietveld 408576698